Summary: Front-end for CD rippers and Ogg Vorbis encoders
Name: grip
Version: 3.2.0
Release: 16%{?dist}
Epoch: 1
License: GPL
Group: Applications/Multimedia
Source0: http://dl.sf.net/grip/grip-%{version}.tar.gz
Source1: grip.1
Patch1: grip-3.2.0-default.patch
Patch2: grip-cell-renderer.patch
Patch3: grip-3.2.0-id3.c.patch
Patch4: grip.desktop.patch
Patch5: grip-64bit-fix.patch
URL: http://www.nostatic.org/grip/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: vorbis-tools
BuildRequires: vte-devel cdparanoia-devel
BuildRequires: libgnomeui-devel curl-devel
BuildRequires: gettext id3lib-devel
BuildRequires: desktop-file-utils

%description
Grip is a GTK+ based front-end for CD rippers (such as cdparanoia and
cdda2wav) and Ogg Vorbis encoders. Grip allows you to rip entire tracks or
just a section of a track. Grip supports the CDDB protocol for
accessing track information on disc database servers.

%prep
%setup -q
%patch1 -p1 -b .rh-default-encoder
%patch2 -p1 -b .cell-renderer
%patch3 -p1 -b .id3
%patch4
%patch5

%build
%configure
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-am

install -p -m644 %{SOURCE1} -D %{buildroot}%{_mandir}/man1/grip.1

cat >> %{buildroot}%{_datadir}/applications/grip.desktop << EOF
StartupWMClass=Grip
EOF

desktop-file-install \
	--vendor=fedora \
	--dir $RPM_BUILD_ROOT/%{_datadir}/applications \
	--delete-original \
	--add-category X-Fedora \
	--add-category Application \
	--add-category AudioVideo \
	$RPM_BUILD_ROOT%{_datadir}/applications/grip.desktop
%find_lang %{name}-2.2

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-2.2.lang
%defattr(-,root,root)
%doc README ChangeLog CREDITS COPYING AUTHORS TODO
%{_bindir}/grip
%{_datadir}/pixmaps/gripicon.png
%{_datadir}/gnome/help/grip
%{_datadir}/applications/*
%{_mandir}/man1/*

%changelog
* Wed Jan 17 2007 Adrian Reber <adrian@lisas.de> - 1:3.2.0-16
- fixes for #220777, #222574, #232755

* Wed Jan 03 2007 Adrian Reber <adrian@lisas.de> - 1:3.2.0-15
- changed default file extension (#220777)

* Tue Oct 31 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-14
- rebuilt for new curl

* Sat Sep 09 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-13
- rebuilt

* Fri Jun 23 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-12
- updated with patch from novell to fix crashes when calling
  external programs (#184542)

* Fri May 12 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-11
- rebuilt for new vte

* Mon Feb 13 2006 Adrian Reber <adrian@lisas.de> - 1:3.2.0-10
- rebuilt

* Tue Nov 15 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-9
- rebuilt

* Wed Sep 14 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-8
- added .desktop patch from Chong Kai Xiong (#167989)

* Sat Aug 20 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-7
- rebuilt

* Thu Aug 04 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-6
- added patch for buffer overflow in id3.c (#160671)

* Thu Jul 07 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-5
- added patch to fix cell renderer problem (BZ #162324)
- wrote and added a man page

* Wed Mar 02 2005 Adrian Reber <adrian@lisas.de> - 1:3.2.0-4
- s/Copyright/License/
- s/Serial/Epoch/
- cosmetic changes to quiet rpmlint
- removed grip.png and grip.desktop (Source1 and Source2) as
  it is already included in the tarball
- removed unused patches
- removed ExcludeArch: s390 s390x
- renamed BuildPrereq to BuildRequires
- added id3lib-devel to BuildRequires
- use %%{_smp_mflags}
- changed .desktop file creation and installation
- removed INSTALL and NEWS from %%doc
- deleted changelog entries older than 2004
- changed Source line to be valid

* Fri Oct  8 2004 Bill Nottingham <notting@redhat.com> 3.2.0-3
- add a passel of buildreqs (#135045)

* Wed Jul 28 2004 Adrian Havill <havill@redhat.com> 3.2.0-2
- rebuilt
- add vte-devel to BuildRequires

* Sun Jun 20 2004 Karsten Hopp <karsten@redhat.de> 3.2.0-1
- update to latest stable version
- remove obsolete locking and cdparanoia patches

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt
